Package org.eclipse.birt.chart.script

# Class ChartEventHandlerAdapter

java.lang.Object
org.eclipse.birt.chart.script.ChartEventHandlerAdapter

All Implemented Interfaces:
  `IChartEventHandler`

public class ChartEventHandlerAdapter extends Object implements IChartEventHandler
An adapter (empty implementation of IChartEventHandler) makes the interface easier for the user. This is required to provide backward compatibility when new methods are added to the interface in future versions.

## Constructor Summary

Constructors
Constructor
Description
`ChartEventHandlerAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterComputations(Chart cm, PlotComputation oComputations)`
Called after computations of chart model.
`void`
`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
Called after populating the series dataset.
`void`
`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering each label on a given Axis.
`void`
`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering the Title of an Axis.
`void`
`afterDrawBlock(Block block, IChartScriptContext icsc)`
Called after drawing each block.
`void`
`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called after drawing each datapoint graphical representation or marker.
`void`
`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called after rendering the label for each datapoint.
`void`
`afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called after rendering curve fitting.
`void`
`afterDrawLegendEntry(Label label, IChartScriptContext icsc)`
Called after drawing each entry in the legend.
`void`
`afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called after drawing the legend item.
`void`
`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called after drawing each marker.
`void`
`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called after drawing each marker line in an Axis.
`void`
`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called after drawing each marker range in an Axis.
`void`
`afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called after rendering Series.
`void`
`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called after rendering the title of a Series .
`void`
`afterGeneration(GeneratedChartState gcs, IChartScriptContext icsc)`
Called after generation of chart model to GeneratedChartState.
`void`
`afterRendering(GeneratedChartState gcs, IChartScriptContext icsc)`
Called after the chart is rendered.
`void`
`beforeComputations(Chart cm, PlotComputation oComputations)`
Called before computations of chart model.
`void`
`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
Called before populating the series dataset using the DataSetProcessor.
`void`
`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering each label on a given Axis.
`void`
`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering the Title of an Axis.
`void`
`beforeDrawBlock(Block block, IChartScriptContext icsc)`
Called before drawing each block.
`void`
`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called before drawing each datapoint graphical representation or marker.
`void`
`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called before rendering the label for each datapoint.
`void`
`beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called before rendering curve fitting.
`void`
`beforeDrawLegendEntry(Label label, IChartScriptContext icsc)`
Called before drawing each entry in the legend.
`void`
`beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)`
Called before drawing the legend item.
`void`
`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called before drawing each marker.
`void`
`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called before drawing each marker line in an Axis.
`void`
`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called before drawing each marker range in an Axis.
`void`
`beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called before rendering Series.
`void`
`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called before rendering the title of a Series.
`void`
`beforeGeneration(Chart cm, IChartScriptContext icsc)`
Called before generation of chart model to GeneratedChartState.
`void`
`beforeRendering(GeneratedChartState gcs, IChartScriptContext icsc)`
Called before the chart is rendered.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartEventHandlerAdapter

public ChartEventHandlerAdapter()

## Method Details

### afterDrawLegendItem

public void afterDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing the legend item.

Specified by:
  `afterDrawLegendItem` in interface `IChartEventHandler`
Parameters:
  `lerh` - LegendEntryRenderingHints
  `bo` - Bounds
  `icsc` - IChartScriptContext

### beforeDrawLegendItem

public void beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bo, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing the legend item.

Specified by:
  `beforeDrawLegendItem` in interface `IChartEventHandler`
Parameters:
  `lerh` - LegendEntryRenderingHints
  `bo` - Bounds
  `icsc` - IChartScriptContext

### afterDataSetFilled

public void afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after populating the series dataset.

Specified by:
  `afterDataSetFilled` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `dataSet` - DataSet
  `icsc` - IChartScriptContext

### beforeDataSetFilled

public void beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before populating the series dataset using the DataSetProcessor.

Specified by:
  `beforeDataSetFilled` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `idsp` - IDataSetProcessor
  `icsc` - IChartScriptContext

### beforeDrawAxisLabel

public void beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering each label on a given Axis.

Specified by:
  `beforeDrawAxisLabel` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawAxisTitle

public void beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering the Title of an Axis.

Specified by:
  `beforeDrawAxisTitle` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawBlock

public void beforeDrawBlock(Block block, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each block.

Specified by:
  `beforeDrawBlock` in interface `IChartEventHandler`
Parameters:
  `block` - Block
  `icsc` - IChartScriptContext

### beforeDrawDataPoint

public void beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each datapoint graphical representation or marker.

Specified by:
  `beforeDrawDataPoint` in interface `IChartEventHandler`
Parameters:
  `dph` - DataPointHints
  `fill` - Fill
  `icsc` - IChartScriptContext

### beforeDrawDataPointLabel

public void beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering the label for each datapoint.

Specified by:
  `beforeDrawDataPointLabel` in interface `IChartEventHandler`
Parameters:
  `dph` - DataPointHints
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawFittingCurve

public void beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering curve fitting.

Specified by:
  `beforeDrawFittingCurve` in interface `IChartEventHandler`
Parameters:
  `cf` - CurveFitting
  `icsc` - IChartScriptContext

### beforeDrawLegendEntry

public void beforeDrawLegendEntry(Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each entry in the legend.

Specified by:
  `beforeDrawLegendEntry` in interface `IChartEventHandler`
Parameters:
  `label` - Label
  `icsc` - IChartScriptContext

### beforeDrawMarker

public void beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each marker.

Specified by:
  `beforeDrawMarker` in interface `IChartEventHandler`
Parameters:
  `marker` - Marker
  `dph` - DataPointHints
  `icsc` - IChartScriptContext

### afterDrawMarker

public void afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each marker.

Specified by:
  `afterDrawMarker` in interface `IChartEventHandler`
Parameters:
  `marker` - Marker
  `dph` - DataPointHints
  `icsc` - IChartScriptContext

### beforeDrawMarkerLine

public void beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each marker line in an Axis.

Specified by:
  `beforeDrawMarkerLine` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `mLine` - MarkerLine
  `icsc` - IChartScriptContext

### beforeDrawMarkerRange

public void beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before drawing each marker range in an Axis.

Specified by:
  `beforeDrawMarkerRange` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `mRange` - MarkerRange
  `icsc` - IChartScriptContext

### beforeDrawSeries

public void beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering Series.

Specified by:
  `beforeDrawSeries` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `isr` - ISeriesRenderer
  `icsc` - IChartScriptContext

### beforeDrawSeriesTitle

public void beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before rendering the title of a Series.

Specified by:
  `beforeDrawSeriesTitle` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `label` - Label
  `icsc` - IChartScriptContext

### beforeGeneration

public void beforeGeneration(Chart cm, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before generation of chart model to GeneratedChartState.

Specified by:
  `beforeGeneration` in interface `IChartEventHandler`
Parameters:
  `cm` - Chart
  `icsc` - IChartScriptContext

### beforeRendering

public void beforeRendering(GeneratedChartState gcs, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called before the chart is rendered.

Specified by:
  `beforeRendering` in interface `IChartEventHandler`
Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### afterGeneration

public void afterGeneration(GeneratedChartState gcs, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after generation of chart model to GeneratedChartState.

Specified by:
  `afterGeneration` in interface `IChartEventHandler`
Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### afterRendering

public void afterRendering(GeneratedChartState gcs, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after the chart is rendered.

Specified by:
  `afterRendering` in interface `IChartEventHandler`
Parameters:
  `gcs` - GeneratedChartState
  `icsc` - IChartScriptContext

### afterDrawBlock

public void afterDrawBlock(Block block, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each block.

Specified by:
  `afterDrawBlock` in interface `IChartEventHandler`
Parameters:
  `block` - Block
  `icsc` - IChartScriptContext

### afterDrawLegendEntry

public void afterDrawLegendEntry(Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each entry in the legend.

Specified by:
  `afterDrawLegendEntry` in interface `IChartEventHandler`
Parameters:
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawSeries

public void afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering Series.

Specified by:
  `afterDrawSeries` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `isr` - ISeriesRenderer
  `icsc` - IChartScriptContext

### afterDrawSeriesTitle

public void afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering the title of a Series .

Specified by:
  `afterDrawSeriesTitle` in interface `IChartEventHandler`
Parameters:
  `series` - Series
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawMarkerLine

public void afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each marker line in an Axis.

Specified by:
  `afterDrawMarkerLine` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `mLine` - MarkerLine
  `icsc` - IChartScriptContext

### afterDrawMarkerRange

public void afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each marker range in an Axis.

Specified by:
  `afterDrawMarkerRange` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `mRange` - MarkerRange
  `icsc` - IChartScriptContext

### afterDrawDataPoint

public void afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after drawing each datapoint graphical representation or marker.

Specified by:
  `afterDrawDataPoint` in interface `IChartEventHandler`
Parameters:
  `dph` - DataPointHints
  `fill` - Fill
  `icsc` - IChartScriptContext

### afterDrawDataPointLabel

public void afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering the label for each datapoint.

Specified by:
  `afterDrawDataPointLabel` in interface `IChartEventHandler`
Parameters:
  `dph` - DataPointHints
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawFittingCurve

public void afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering curve fitting.

Specified by:
  `afterDrawFittingCurve` in interface `IChartEventHandler`
Parameters:
  `cf` - CurveFitting
  `icsc` - IChartScriptContext

### afterDrawAxisLabel

public void afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering each label on a given Axis.

Specified by:
  `afterDrawAxisLabel` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### afterDrawAxisTitle

public void afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)
Description copied from interface: `IChartEventHandler`
Called after rendering the Title of an Axis.

Specified by:
  `afterDrawAxisTitle` in interface `IChartEventHandler`
Parameters:
  `axis` - Axis
  `label` - Label
  `icsc` - IChartScriptContext

### afterComputations

public void afterComputations(Chart cm, PlotComputation oComputations)
Description copied from interface: `IChartEventHandler`
Called after computations of chart model.

Specified by:
  `afterComputations` in interface `IChartEventHandler`
Parameters:
  `cm` - Chart
  `oComputations` - PlotComputation

### beforeComputations

public void beforeComputations(Chart cm, PlotComputation oComputations)
Description copied from interface: `IChartEventHandler`
Called before computations of chart model.

Specified by:
  `beforeComputations` in interface `IChartEventHandler`
Parameters:
  `cm` - Chart
  `oComputations` - PlotComputation